org.mariadb.jdbc.internal.packet.send

## Class SendPrepareParameterPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendPrepareParameterPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendPrepareParameterPacket
    extends Object
    implements InterfaceSendPacket

### Constructor Summary

Constructors
Constructor and Description
`SendPrepareParameterPacket(int parameterIndex, LongDataParameterHolder parameter, int statementId, MariaDbCharset mariaDbCharset)` Initiate parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `send(OutputStream os)` Send stream to database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendPrepareParameterPacket

    public SendPrepareParameterPacket(int parameterIndex,
                                      LongDataParameterHolder parameter,
                                      int statementId,
                                      MariaDbCharset mariaDbCharset)

Initiate parameters.

Parameters:
  `parameterIndex` - parameter index
  `parameter` - parameter
  `statementId` - statement Id
  `mariaDbCharset` - charset

### Method Detail

#### send

    public int send(OutputStream os)
             throws IOException

Send stream to database.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `os` - database socket
Returns:
  0 if all went well
Throws:
  `IOException` - if a connection error occur